<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>celversion.h File Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#define-members">Defines</a>  </div>
  <div class="headertitle">
<div class="title">celversion.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Crystal Entity Layer Version Information.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/csver_8h.html">csver.h</a>&gt;</code><br/>
</div>
<p><a href="celversion_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="define-members"></a>
Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="celversion_8h.html#aec17cdb572112fc7827ef7b4dd232e42">CEL_RELEASE_DATE</a>&#160;&#160;&#160;CS_VER_QUOTE(Tue 03-July-2012)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Date of release.  <a href="#aec17cdb572112fc7827ef7b4dd232e42"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="celversion_8h.html#afb58dbd3cbacac1419342ce208b44f25">CEL_VERSION_BUILD</a>&#160;&#160;&#160;CS_VER_QUOTE(0)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Maintenance release / RC.  <a href="#afb58dbd3cbacac1419342ce208b44f25"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="celversion_8h.html#a3cf5d5839f882763a7fd223174c0c1ea">CEL_VERSION_MAJOR</a>&#160;&#160;&#160;CS_VER_QUOTE(2)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Major version.  <a href="#a3cf5d5839f882763a7fd223174c0c1ea"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="celversion_8h.html#a180d2a1844c79ba699cfd2fd13d5dd4b">CEL_VERSION_MINOR</a>&#160;&#160;&#160;CS_VER_QUOTE(0)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Minor version (even are stable versions, odd are development versions)  <a href="#a180d2a1844c79ba699cfd2fd13d5dd4b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="celversion_8h.html#a91002aeb9303e0cc3f2ac34e437af98d">CEL_VERSION_NUMBER</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A complete version number.  <a href="#a91002aeb9303e0cc3f2ac34e437af98d"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Crystal Entity Layer Version Information. </p>

<p>Definition in file <a class="el" href="celversion_8h_source.html">celversion.h</a>.</p>
</div><hr/><h2>Define Documentation</h2>
<a class="anchor" id="aec17cdb572112fc7827ef7b4dd232e42"></a><!-- doxytag: member="celversion.h::CEL_RELEASE_DATE" ref="aec17cdb572112fc7827ef7b4dd232e42" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="celversion_8h.html#aec17cdb572112fc7827ef7b4dd232e42">CEL_RELEASE_DATE</a>&#160;&#160;&#160;CS_VER_QUOTE(Tue 03-July-2012)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Date of release. </p>

<p>Definition at line <a class="el" href="celversion_8h_source.html#l00039">39</a> of file <a class="el" href="celversion_8h_source.html">celversion.h</a>.</p>

</div>
</div>
<a class="anchor" id="afb58dbd3cbacac1419342ce208b44f25"></a><!-- doxytag: member="celversion.h::CEL_VERSION_BUILD" ref="afb58dbd3cbacac1419342ce208b44f25" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="celversion_8h.html#afb58dbd3cbacac1419342ce208b44f25">CEL_VERSION_BUILD</a>&#160;&#160;&#160;CS_VER_QUOTE(0)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Maintenance release / RC. </p>

<p>Definition at line <a class="el" href="celversion_8h_source.html#l00037">37</a> of file <a class="el" href="celversion_8h_source.html">celversion.h</a>.</p>

</div>
</div>
<a class="anchor" id="a3cf5d5839f882763a7fd223174c0c1ea"></a><!-- doxytag: member="celversion.h::CEL_VERSION_MAJOR" ref="a3cf5d5839f882763a7fd223174c0c1ea" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="celversion_8h.html#a3cf5d5839f882763a7fd223174c0c1ea">CEL_VERSION_MAJOR</a>&#160;&#160;&#160;CS_VER_QUOTE(2)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Major version. </p>

<p>Definition at line <a class="el" href="celversion_8h_source.html#l00033">33</a> of file <a class="el" href="celversion_8h_source.html">celversion.h</a>.</p>

</div>
</div>
<a class="anchor" id="a180d2a1844c79ba699cfd2fd13d5dd4b"></a><!-- doxytag: member="celversion.h::CEL_VERSION_MINOR" ref="a180d2a1844c79ba699cfd2fd13d5dd4b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="celversion_8h.html#a180d2a1844c79ba699cfd2fd13d5dd4b">CEL_VERSION_MINOR</a>&#160;&#160;&#160;CS_VER_QUOTE(0)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Minor version (even are stable versions, odd are development versions) </p>

<p>Definition at line <a class="el" href="celversion_8h_source.html#l00035">35</a> of file <a class="el" href="celversion_8h_source.html">celversion.h</a>.</p>

</div>
</div>
<a class="anchor" id="a91002aeb9303e0cc3f2ac34e437af98d"></a><!-- doxytag: member="celversion.h::CEL_VERSION_NUMBER" ref="a91002aeb9303e0cc3f2ac34e437af98d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="celversion_8h.html#a91002aeb9303e0cc3f2ac34e437af98d">CEL_VERSION_NUMBER</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<b>Value:</b><div class="fragment"><pre class="fragment"><a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/csver_8h.html#a25a6095ebdb47bc56d486b71060389ba">CS_VERSION_MAJOR</a> <span class="stringliteral">&quot;.&quot;</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/csver_8h.html#aefc2cf32063219e6be599601bda8aef0">CS_VERSION_MINOR</a> <span class="stringliteral">&quot;.&quot;</span> \
  CS_VERSION_BUILD
</pre></div>
<p>A complete version number. </p>

<p>Definition at line <a class="el" href="celversion_8h_source.html#l00042">42</a> of file <a class="el" href="celversion_8h_source.html">celversion.h</a>.</p>

</div>
</div>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
